Package writer2latex.office

# Class OfficeStyle

java.lang.Object
writer2latex.office.OfficeStyle

Direct Known Subclasses:
  `FontDeclaration`, `ListStyle`, `MasterPage`, `StyleWithProperties`

public abstract class OfficeStyle extends Object

Abstract class representing a style in OOo

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`bAutomatic`
`protected OfficeStyleFamily`
`family`
`protected String`
`sName`

## Constructor Summary

Constructors
Constructor
Description
`OfficeStyle()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
`OfficeStyleFamily`
`getFamily()`
`String`
`getListStyleName()`
`String`
`getMasterPageName()`
`String`
`getName()`
`String`
`getParentName()`
`OfficeStyle`
`getParentStyle()`
`boolean`
`isAutomatic()`
`void`
`loadStyleFromDOM(Node node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sName

protected String sName

### family

protected OfficeStyleFamily family

### bAutomatic

protected boolean bAutomatic

## Constructor Details

### OfficeStyle

public OfficeStyle()

## Method Details

### getName

public String getName()

### getFamily

public OfficeStyleFamily getFamily()

### isAutomatic

public boolean isAutomatic()

### getDisplayName

public String getDisplayName()

### getParentName

public String getParentName()

### getParentStyle

public OfficeStyle getParentStyle()

### getListStyleName

public String getListStyleName()

### getMasterPageName

public String getMasterPageName()

### loadStyleFromDOM

public void loadStyleFromDOM(Node node)